Commit fdd3b137 authored by Jonas Smedegaard's avatar Jonas Smedegaard

Fix declare liblink-grammar4-dev dependencies. Build-depend on d-shlibs.

parent d279dfbc
......@@ -7,6 +7,7 @@ Build-Depends:
autoconf-archive,
debhelper (>= 11),
default-jdk [!hppa !hurd-i386 !kfreebsd-amd64 !kfreebsd-i386 !m68k !sh4],
d-shlibs,
dh-python,
libedit-dev,
libhunspell-dev,
......@@ -78,6 +79,7 @@ Architecture: any
Multi-Arch: same
Depends:
liblink-grammar5 (= ${binary:Version}),
${devlibs:Depends},
${misc:Depends},
Breaks:
liblink-grammar4-dev (<< 5.3.7),
......
usr/include/link-grammar
usr/lib/*/liblink-grammar.so
usr/lib/*/pkgconfig
usr/lib/*/liblink-grammar.so.*
......@@ -36,6 +36,18 @@ ifeq (,$(filter $(DEB_HOST_ARCH), $(no_java_archs)))
endif
find debian/ -name "*.la" -delete
dh_install
d-shlibmove --commit \
--devunversioned \
--exclude-la \
--exclude-a \
--multiarch \
--override 's/libhunspell-[0-9.-]\+-dev/libhunspell-dev/' \
--override 's/libminisat2-dev/minisat/' \
--override 's/libsqlite3-0-dev/libsqlite3-dev/' \
--movedev "debian/tmp/usr/include/*" usr/include/ \
--movedev "debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/*" \
usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig \
debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.so
override_dh_missing:
dh_missing --fail-missing
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment